function selupdatefaktorstufenmenu
%   This software is protected by german copyright and international treaties.             
%   Copyright 2004 Markus Junghöfer & Peter Peyk. All Rights Reserved.                     
%                                                                                          
%   THIS SOFTWARE AND DOCUMENTATION IS PROVIDED "AS IS," AND COPYRIGHT HOLDERS MAKE        
%   NO REPRESENTATIONS OR WARRANTIES, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO,    
%   WARRANTIES OF MERCHANTABILITY OR FITNESS FOR ANY PARTICULAR PURPOSE OR THAT THE USE    
%   OF THE SOFTWARE OR DOCUMENTATION WILL NOT INFRINGE ANY THIRD PARTY PATENTS, COPYRIGHTS,
%   TRADEMARKS OR OTHER RIGHTS. COPYRIGHT HOLDERS WILL NOT BE LIABLE FOR ANY DIRECT,       
%   INDIRECT, SPECIAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF ANY USE OF THE SOFTWARE      
%   OR DOCUMENTATION.                                                                      
global faktorstring stufenvec aktiverfaktor
faktorstufenmenu=findobj('tag','faktorauswahl');
set(faktorstufenmenu,'Enable','on');
faktorenedit=findobj('tag','faktorenedit');
stufenedit=findobj('tag','stufenedit');
set(stufenedit,'Enable','on');


if isstr(get(faktorenedit,'String'))
    anzahlfaktoren=str2num(get(faktorenedit,'String'));
else
    anzahlfaktoren=get(faktorenedit,'String');
end

cellstr=cell(1);
cell1auswahl = findobj('Tag','cell1auswahl');
cell2auswahl = findobj('Tag','cell2auswahl');
set(cell1auswahl,'String',cellstr);
set(cell2auswahl,'String',cellstr);

set(faktorstufenmenu,'Value',1);
faktorstring=cell(anzahlfaktoren,1);
faktorstring{1}='faktor1';
for j=2:anzahlfaktoren
    faktorstring{j}=['faktor',num2str(j)];
end
set(faktorstufenmenu,'String',faktorstring);
return;